/* Stylesheet for John's website */

h1 { color:#330099; text-align: center; font-size: 30pt;} 	/*Nice#330099, large print centered*/
h2 { color: green; text-align: left; padding: 5px; }	/*green left aligned slightly larger font*/
h3 { color: green; text-align: left }	/*green left aligned slightly larger*/
h4 { color:#330099; text-align: right }	/*blue same size as body text right*/


/*Links */
a:link {color: green;}
a:visited {color:#330099;}
a:active {color: maroon}

div.images {
float: left;  width: 240px; height: 180px;
padding: 10px 10px 10px 10px;
}

/* Logo across the top.  Orange background.  h1 positions the text properly*/

div.logo {
  	width: 100%;
	height: 80px;
	}

div.logo h1 {
	width: 100%;
	height: 60px;
	padding: 20px 5px 10px 5px;
	background: #FFB46A url(images/navbar.gif) repeat;
	text-align: center;
	}

body	/*applies to all text unless precceded by a class eg P as defined below*/
	{
	margin: 20px ;
	padding:10px ;
	font-family: Helvetica, Tahoma, sans-serif;
	font-size: normal;
	font-weight: normal;
	text-decoration: none;
	line-height: 18pt;
	color:#330099;
	text-align: left;
	vertical-align: middle;
	background: #ffffcc;
	}

p	{	/*aligns text left used with <p> and </p>*/
	float: right;
	width:100%;
	text-align: left;
	margin-left: 10px;
	margin-right: 10px;
	text-indent:50px; /*only first line indents*/
	color:#330099;
}

span.alttext{  /*for side bar on computing page, gives alternating colours*/
  color:#330099;
}

div.mainright {  /*floats text to the right for the top section of the page*/
	float: right;
	width: 70%;
	color:#330099;
}

div.fullwidth {  /*expands text to full width of page particulary on archive pages*/
float: left;
width: 95%;
padding: 20px;
color: #330099;
text-align: left;
}

div.sidebar {  /*creates the side bar for the menu list*/
	float: left;
	width: 20%;
	color: #6BB3B3;
}

div.odd	{	/*defines a block of text.  use with <div class="odd"> </div>*/
		font-size: 8pt;
		text-align: right;
		color: red;
}

div.content {  /*sizes content of the page to the size of the screen*/
	width: 100%;
	}

div.menu {  /*layout for menu list within sidebar*/
	float: left;
	width: 100%;
	padding: 20px;
}

div.menu ul {
	margin: 0;
	list-style: none;
}

div.menu li {
	display: block;
	padding-bottom: 10px;
}

div.menu a {
	display: block;
	width: 80%;
	padding: 5px;
	text-decoration: none;
}

div.menu a:hover, div.menu .active a {
	background: #CDE5E5;
}
